---
- name: "Install {{name}}"
  copy:
    src: "{{ file.src }}"
    dest: "{{ file.dest }}"
    mode: "{{ file.perm | default('0644') }}"
    serole: object_r
    setype: systemd_unit_file_t
    seuser: system_u
  with_items: "{{ files }}"
  loop_control:
    loop_var:  file
    label: "Copy {{ file.src }} -> {{ file.dest }}"
  register: svc
- name: "{{ systemd.enabled | bool | default(true) | ternary('Enable','Disable') }} {{ name }} service"
  systemd:
    daemon_reload: true
    state: "{{ systemd.state | default(omit) }}"
    enabled: "{{ systemd.enabled | default('yes') }}"
    name: "{{ name }}"
    no_block: "{{ systemd.no_block | default('yes') }}"
  when: systemd and svc.changed or systemd.enabled is defined
